Servers

    BizTalk Adapter for Web Services Enhancement (WSE) 2.0

    Language:
    English
    The BizTalk Adapter for WSE provides ways to expose e-business functions over the Internet.
    • Version:

      1.0

      File Name:

      BTSAdapterforWSE.exe

      Date Published:

      2/9/2005

      File Size:

      1.8 MB

        The BizTalk Adapter for Web Services Enhancement (WSE) 2.0 integrates secure Web services with BizTalk Server 2004. The Adapter for WSE is implemented using the WSE 2.0 framework for Microsoft .NET, and supports WS-Security, WS-Trust, WS-SecureConversation, WS-SecurityPolicy, and WS-Policy. The Adapter for WSE can be used for securely calling Web services and publishing BizTalk orchestrations as Web services.

        When calling Web services, the Adapter for WSE provides the means to add Web service type definitions to BizTalk Projects and configuring send ports for calling Web services. When publishing BizTalk Web services, the Adapter for WSE provides a version of the BizTalk Web Services Publishing Wizard that creates Web services that utilizes the WSE 2.0 framework for Microsoft .NET. The Adapter for WSE takes advantage of the framework’s support of policy files. This allows you to add or modify the security requirements without writing a single line of code.
    • Supported Operating System

      Windows 2000, Windows Server 2003, Windows XP


        Prerequisite Software
        You must install the following software on one computer, in the order listed:
        1. Microsoft Windows® 2000, Windows XP, or Windows Server™ 2003.

        2. Microsoft Visual Studio® .NET 2003.

          1. Note: While this is optional for runtime-only installations, it is required for development installations.
        3. Microsoft BizTalk Server 2004 and all prerequisites.

          1. For more information about installing BizTalk Server 2004 and the prerequisites, see the "BizTalk Server Installation Guide" at http://go.microsoft.com/fwlink/?LinkId=33747.
            Important: This version of BizTalk Adapter for Web Services Enhancements 2.0 is not compatible with Microsoft BizTalk Server 2000 or BizTalk Server 2002.
        4. Microsoft WSE 2.0 Service Pack 2 for Microsoft .NET

          1. Available at http://go.microsoft.com/fwlink/?LinkId=33513.
            Important: This version of BizTalk Adapter for WSE 2.0 is compatible only with WSE 2.0 Service Pack 2 or higher for Microsoft .NET.
            Note: For BizTalk development environments, you must install the WSE 2.0 runtime and tools features. For BizTalk runtime environments, you need only the WSE runtime feature.
        1. Download BTSAdapterforWSE.exe to your computer.
        2. Double-click BTSAdapterforWSE.exe to extract the adapter components.

        3. Locate the folder that contains the adapter components.

        4. Double-click Setup.exe
        5. .
        6. The installation wizard guides you through the set up process
        7. .

    Popular downloads

    Loading your results, please wait...

    Free PC updates

    • Security patches
    • Software updates
    • Service packs
    • Hardware drivers

    Microsoft suggests

       Download a free trial of SQL Server 2014.
    SQL Server 2014
    Faster transactions, faster queries, and faster insights.
    Free trial